New Search

Python Integer Overflow vulnerability - CVE-2017-1000158

oval:org.cisecurity:def:5286

CPython (aka Python) up to 2.7.13 is vulnerable to an integer overflow in the PyString_DecodeEscape function in stringobject.c resulting in heap-based buffer overflow (and possible arbitrary code execution).

Family:
windows
Status:
ACCEPTED
Platform(s):
  • Microsoft Windows 10
  • Microsoft Windows Server 2008 R2
  • Microsoft Windows Server 2012 R2
  • Microsoft Windows 7
  • Microsoft Windows Server 2016
  • Microsoft Windows 8
  • Microsoft Windows 8.1
  • Microsoft Windows Server 2012
Class:
vulnerability
Reference(s):
  • CVE-2017-1000158
Product(s):
  • Python